BlobApi | @here/olp-sdk-ts
Namespace BlobApi
Index
Interfaces
Type Aliases
Functions
Type Aliases
Content Encoding Enum
Status Enum
Functions
cancel Multipart Upload
Parameters
builder: RequestBuilder
params: { billingTag?: string; dataHandle: string; layerId: string; multiPartToken: string }
Optional billing
Tag?: string data
Handle: string layer
Id: string multi
Part Token: string
Returns Promise<Response>
check Blob Exists Status
Checks if a blob exists for the requested data handle.
Parameters
builder: RequestBuilder
params: { billingTag?: string; dataHandle: string; layerId: string }
Optional billing
Tag?: string data
Handle: string layer
Id: string
Returns Promise<Response>
delete Blob
Deletes a data blob from the underlying storage mechanism (volume). When you delete a blob, you cannot upload data to the deleted blob's data handle for at least 3 days. The DELETE method works only for index layers. DELETE requests for blobs stored for other kind of layers will be rejected.
Parameters
builder: RequestBuilder
params: { billingTag?: string; dataHandle: string; layerId: string }
Optional billing
Tag?: string data
Handle: string layer
Id: string
Returns Promise<Response>
do Complete Multipart Upload
Call this API when all parts have been uploaded. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'complete' element under the top level 'links' element of the response.
Parameters
builder: RequestBuilder
params: { billingTag?: string; parts: BlobApi.MultipartCompleteRequest; url: string }
Optional billing
Tag?: string parts: BlobApi.MultipartCompleteRequest
url: string
Returns Promise<Response>
do Upload Part
Upload a single part of a multipart upload for the blob. Every uploaded part except the last one must have a minimum 5 MB of data and maximum of 5 GB, but we do not recommend uploading parts this large. The maximum number of parts is 10,000. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'uploadPart' element under the top level 'links' element of the response.
Parameters
builder: RequestBuilder
params: { billingTag?: string; body: ArrayBuffer | Buffer; contentLength: number; contentType: string; partNumber: number; url: string }
Optional billing
Tag?: string body: ArrayBuffer | Buffer
content
Length: number content
Type: string part
Number: number url: string
Returns Promise<Response>
get Blob
Retrieves a blob from storage.
Parameters
builder: RequestBuilder
params: { billingTag?: string; dataHandle: string; layerId: string; range?: string }
Optional billing
Tag?: string data
Handle: string layer
Id: string Optional range?: string
Returns Promise<Response>
get Multipart Upload Status
Gets the status of a multipart upload. The status can be received only when the upload has been completed. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'status' element under the top level 'links' element of the response.
Parameters
builder: RequestBuilder
params: { billingTag?: string; dataHandle: string; layerId: string; multiPartToken: string }
Optional billing
Tag?: string data
Handle: string layer
Id: string multi
Part Token: string
Returns Promise<MultipartUploadStatus>
put Data
Persists the data blob in the underlying storage mechanism (volume). Use this upload mechanism for blobs smaller than 50 MB. The size limit for blobs uploaded this way is 5 GB but we do not recommend uploading blobs this large with this method, so use multipart upload instead. When the operation completes successfully there is no guarantee that the data blob will be immediately available although in most cases it will be. To check if the data blob is available use the HEAD method.
Parameters
builder: RequestBuilder
params: { billingTag?: string; body: ArrayBuffer | Buffer; contentEncoding?: string; contentLength: number; contentType: string; dataHandle: string; layerId: string }
Optional billing
Tag?: string body: ArrayBuffer | Buffer
Optional content
Encoding?: string content
Length: number content
Type: string data
Handle: string layer
Id: string
Returns Promise<Response>
start Multipart Upload
Publishes large data blobs where the data payload needs to be split into multiple parts. The multipart upload start is to be followed by the individual parts upload and completed with a call to complete the upload. The limit of the blob uploaded this way is 50GB.
Parameters
builder: RequestBuilder
params: { billingTag?: string; body?: MultipartUploadMetadata; dataHandle: string; layerId: string }
Optional billing
Tag?: string Optional body?: MultipartUploadMetadata
data
Handle: string layer
Id: string
Returns Promise<BlobInitResponse>
Generated using TypeDoc
Cancels an entire multipart upload operation. You can only cancel a multipart upload before it has been completed. Please keep in mind that the actual URL for this operation must be obtained from the response body of start multipart operation that is 'POST /layers/{layerId}/data/{dataHandle}/multiparts' from the 'delete' element under the top level 'links' element of the response.
Cancels a multipart upload